1. API
  2. Admin
  3. Story sync destinations

Story sync destinations: Show

Description

Retrieve a single sync destination by ID.

Request

HTTP Method: GET

curl -X GET \
  https://<tenant-domain>/api/v1/admin/sync_destinations/<<sync_destination_id>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'

Response

A successful request returns a JSON object containing the sync destination.

Field description

Parameter Description
id Sync destination ID.
destination_tenant_url Base URL of the destination tenant (e.g. https://).
destination_team_id ID of the destination team receiving the synced stories.
manual_sync_only Whether the sync destination only syncs on manual trigger.
origin_team_id ID of the team on the current tenant where the sync destination was created.
subscriptions Array of subscription objects (one per story).
subscriptions[].story.id ID of the story.
subscriptions[].story.name Name of the story.
subscriptions[].status Sync status. One of synced, failed, or requires_sync.
subscriptions[].error_message Error details if status is failed; null otherwise.

Sample response

{
  "sync_destination": {
    "id": 23,
    "destination_tenant_url": "https://<tenant-domain>",
    "destination_team_id": 42,
    "manual_sync_only": false,
    "origin_team_id": 7,
    "subscriptions": [
      {
        "story": {
          "id": 9981,
          "name": "Example"
        },
        "status": "synced",
        "error_message": null
      }
    ]
  }
}
Was this helpful?